<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
		 if($game==0 OR $level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	$s = mysql_query("SELECT * FROM `units` WHERE `uid`='".check(mysql_real_escape_string($use_id))."'");
	$r = mysql_fetch_array($s);
	$un=$_GET['u'];
	$q = mysql_query("SELECT * FROM `units_info` WHERE `unit`='".check(mysql_real_escape_string($un))."' AND `rasa`='".$rasa."'");
	$u = mysql_fetch_array($q);
	switch ($act) {
	default:
	echo "<title>Юниты</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b><b>Юниты</b></b></div>';
	echo '<div class="razd"></div>';
	echo '<div class="window">';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=1"><b>'.units(1, $rasa).'</b></a> <font color="#4EEE94">['.$r['r1'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=2"><b>'.units(2, $rasa).'</b></a> <font color="#4EEE94">['.$r['r2'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=3"><b>'.units(3, $rasa).'</b></a> <font color="#4EEE94">['.$r['r3'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=4"><b>'.units(4, $rasa).'</b></a> <font color="#4EEE94">['.$r['r4'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=5"><b>'.units(5, $rasa).'</b></a> <font color="#4EEE94">['.$r['r5'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=6"><b>'.units(6, $rasa).'</b></a> <font color="#4EEE94">['.$r['r6'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=7"><b>'.units(7, $rasa).'</b></a> <font color="#4EEE94">['.$r['r7'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=8"><b>'.units(8, $rasa).'</b></a> <font color="#4EEE94">['.$r['r8'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=9"><b>'.units(9, $rasa).'</b></a> <font color="#4EEE94">['.$r['r9'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=10"><b>'.units(10, $rasa).'</b></a> <font color="#4EEE94">['.$r['r10'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=11"><b>'.units(11, $rasa).'</b></a> <font color="#4EEE94">['.$r['r11'].']</font><br/>';
	echo ''.rasa($rasa).' <a href="?act=info&amp;u=12"><b>'.units(12, $rasa).'</b></a> <font color="#4EEE94">['.$r['r12'].']</font><br/>';
	echo '</div>';
	break;
	case 'info':
	if($u['name']!=''){
	echo "<title>".$u['name']."</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";	
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="units.php"><b>Юниты</b></a> | <font color="#4EEE94"><b>'.$u['name'].'</b></font></div>';
	echo '<div class="razd"></div>';
	if($u['lvl_hero']>$lvl_hero)

		{
			echo '<center><div class="window">';
			echo 'Для просмотра и поднятия характеристик данного юнита нужно повысить уровень вашего героя до <font color="#4EEE94">['.$u['lvl_hero'].']</font>';
			echo '</div></center>';
		}

	else

	{
	$rc='r'.$u['unit'].'';
	$count = mysql_result(mysql_query("SELECT ($rc) FROM `units` WHERE `uid`='".check(mysql_real_escape_string($use_id))."';"), 0);
	echo '<div class="blok1"><table cellspacing="0"><tr><td>
	<img class="igame" src="../images/units/'.$u['image'].'" /> </td>
	<td class="trest"><div class="window">
	<img src="../images/live.gif" alt="image" /> '.($u['live']+(($u['live']/10)*$count)).' 
	<img src="../images/atz.jpg" alt="image" /> '.($u['az']+(($u['az']/10)*$count)).' 
	<img src="../images/atv.jpg" alt="image" /> '.($u['av']+(($u['av']/10)*$count)).' 
	<img src="../images/time.gif" alt="image" /> '.$u['time'].'</div>';
	if($lvl_hero>$count)echo '<a href="?act=up&amp;u='.$u['unit'].'">Повысить ранг на <font color="#4EEE94">['. ($count+1) .']</font> уровень</a>';
	if($lvl_hero<=$count)echo 'Для повышения ранга юнита до '. ($count+1) .' уровня нужно поднять уровень героя!';
	echo '</td></tr></table></div>';
	echo '<div class="razd"></div>';
	echo '<div class="blok">';
	echo 'Тип юнита: ';
	if($u['unit']>=1 AND $u['unit']<=4)echo '<font color="#4EEE94">[легкие наземные войска]</font>';
	if($u['unit']>=5 AND $u['unit']<=7)echo '<font color="#4EEE94">[тяжелые наземные войска]</font>';
	if($u['unit']==8)echo '<font color="#4EEE94">[транспорт, воздушные войска]</font>';
	if($u['unit']>=9 AND $u['unit']<=12)echo '<font color="#4EEE94">[воздушные войска]</font>';
	echo '<br/>';
	if($u['type']==1)echo '<font color="#4EEE94">[Может атаковать все войска]</font>';
	if($u['type']==2)echo '<font color="#4EEE94">[Может атаковать только наземные войска]</font>';
	if($u['type']==3)echo '<font color="#4EEE94">[Может атаковать воздушные войска]</font>';
	if($u['type']==4)echo '<font color="#4EEE94">[Не может атаковать]</font>';
	echo '</div>';}}
	break;
	case 'up':
		if($u['name']!=''){
	echo '<div class="top"><a href="units.php">Юниты</a> | '.$u['name'].'</div>';
	if($u['lvl_hero']>$lvl_hero){echo '<div class="conts">Для просмотра и поднятия характеристик данного юнита нужно повысить уровень вашего героя до '.$u['lvl_hero'].'!</div>';}else{
	$ok=$_GET['ok'];
	$rur='r'.$u['unit'].'';
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `rabota` WHERE `typerab`=7 AND `uid`='".$use_id."' AND `type`='".$u['unit']."';"), 0);
	$ur = mysql_result(mysql_query("SELECT ($rur) FROM `units` WHERE `uid`='".$use_id."';"), 0);
	$mn=$ur*$u['min'];
	$met=$ur*$u['metall'];
	$gs=$ur*$u['gas'];
	$wt=$ur*$u['water'];
	$utime=$ur*$u['time'];
	$timerab=$realtime+$utime;
	if($ok!=1){
	echo '<div class="conts">Стоимость повышения ранга:<br/>
	<img src="../images/min.gif" alt="image" /> '.$mn.' минералов<br/>
	<img src="../images/metall.gif" alt="image" /> '.$met.' металлов<br/>
	<img src="../images/gas.gif" alt="image" /> '.$gs.' газа Веспен<br/>
	<img src="../images/water.png" alt="image" /> '.$wt.' воды<br/>';
	if($count!=0)echo 'Ранг этого юнита уже повышается!<br/>';
	if($gas>=$gs AND $min>=$mn AND $metall>=$met AND $water>=$wt AND $count==0 AND $lvl_hero>$ur)echo '<a href="?act=up&amp;ok=1&amp;u='.$u['unit'].'">Начать повышение</a><br/>';
	}else{
	if($gas>=$gs AND $min>=$mn AND $metall>=$met AND $water>=$wt AND $count==0 AND $lvl_hero>$ur){
	mysql_query("UPDATE `users` SET
						`gas`=gas-$gs,
						`min`=min-$mn,
						`metall`=metall-$met,
						`water`=water-$wt WHERE `id` = '".$use_id."';");
mysql_query("INSERT INTO `rabota` SET
`uid`='".$use_id."',
`rasa`='".$rasa."',
`number`='".($ur+1)."',
`type`='".$u['unit']."',
`typerab`=7,
`time`=$timerab;");
	echo '<div class="conts">Повышение ранга начато!<br/>';}
	}
	echo '<a href="units.php?u='.$u['unit'].'"><b>Назад</b></a></div>';}}
	break;	
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>